<?php
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    echo "Connection failed: " . $conn->connect_error;
    exit(1);
}

// Get the lobby_id from POST request
if (isset($_POST['lobby_id'])) {
    $lobby_id = $_POST['lobby_id'];
} else {
    echo "Error: No lobby ID provided";
    exit(1);
}

// Fetch the chat port for the selected lobby
$sql = "SELECT `port` FROM `lobbies` WHERE `id`='$lobby_id';";
$result = $conn->query($sql);

if ($result === false) {
    echo "Error in fetching chat port: " . $conn->error;
    exit(1);
}

if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    $chat_port = $row['port'];
    echo $chat_port; // Only return the port number
} else {
    echo "Error: Lobby not found";
}

$conn->close();
?>
