<?php
// Database configuration


$config = parse_ini_file('config.ini', true);

$host = $config['database']['db_host'];
$user = $config['database']['db_user'];
$pass = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($host, $user, $pass, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get POST data
$username = isset($_POST['username']) ? $conn->real_escape_string($_POST['username']) : '';

// Validate input
if (empty($username)) {
    echo json_encode(['success' => false, 'message' => 'Invalid input']);
    exit;
}

// Get last activity
$sql = "SELECT timestamp FROM online_users WHERE username = '$username'";
$result = $conn->query($sql);

if ($result && $result->num_rows > 0) {
    $row = $result->fetch_assoc();
    $timestamp = $row['timestamp'];
    echo json_encode(['success' => true, 'timestamp' => $timestamp]);
} else {
    echo json_encode(['success' => false, 'message' => 'User not found']);
}

// Close connection
$conn->close();
?>
