<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection to the database
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check the connection
if ($conn->connect_error) {
    die("1: Connection failed: " . $conn->connect_error);
}

// Capture the username from POST
$Username = $_POST['username'];

// Prepare and execute the query to get the savelogin value
$Query = $conn->prepare("SELECT `savelogin` FROM `users` WHERE `username` = ?");
$Query->bind_param("s", $Username);
$Query->execute();
$Result = $Query->get_result();

if ($Result) {
    if ($Result->num_rows > 0) {
        $row = $Result->fetch_assoc();
        // Output 'true' or 'false' based on the savelogin value
        echo ($row['savelogin'] === 'true') ? 'true' : 'false';
    } else {
        die("User not found");
    }
} else {
    die("Error: " . $conn->error);
}

// Close the connection
$conn->close();
?>
