<?php
// Enable error reporting
error_reporting(E_ALL);
ini_set('display_errors', 1);

$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection to db
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    die("1: Connection failed: " . $conn->connect_error);
}

// Capture POST parameters
$Username = $_POST['username'];
$UserPassword = $_POST["password"];  // No MD5 here
$RememberMe = $_POST['remember_me'];

//echo "Debug: Username: $Username, RememberMe: " . ($RememberMe ? "true" : "false") . "\n";

// Check if user exists
$LoginQuery = "SELECT `username`, `password`, `savelogin` FROM `users` WHERE `username` = '$Username';";
//echo "Debug: Login query: $LoginQuery\n";

$LoginResult = $conn->query($LoginQuery);
if (!$LoginResult) {
    die("22: Query failed: " . $conn->error);
}

// Check if the query returned any results
if ($LoginResult->num_rows > 0) {
    //echo "Debug: User found\n";
    $row = $LoginResult->fetch_assoc();
    $hashedPassword = $row["password"];

    // Verify password using password_verify
    if (!password_verify($UserPassword, $hashedPassword)) {
        die("Invalid password\n");
    }

    // Continue with 'Remember Me' logic
    if ($RememberMe === "true") {
        $UpdateQuery = "UPDATE `users` SET `savelogin` = 'true' WHERE `username` = '$Username';";
    } else {
        $UpdateQuery = "UPDATE `users` SET `savelogin` = 'false' WHERE `username` = '$Username';";
    }

    //echo "Debug: Update query: $UpdateQuery\n";
    if ($conn->query($UpdateQuery)) {
        if ($conn->affected_rows > 0) {
            //echo "Debug: savelogin updated successfully.\n";
        } else {
            //echo "Debug: savelogin update query executed but no rows affected.\n";
        }
    } else {
        die("Update error: " . $conn->error);
    }

    // Use PHP to generate the Unix timestamp
$currentTimestamp = date('Y-m-d H:i:s');
//echo "Debug: Current timestamp: $currentTimestamp\n";

// Update timestamp to current time (formatted as 'YYYY-MM-DD HH:MM:SS')
$TimestampQuery = "INSERT INTO `online_users` (`username`, `lobby`, `timestamp`) VALUES ('" . $conn->real_escape_string($Username) . "', '0', '$currentTimestamp') ON DUPLICATE KEY UPDATE `timestamp` = '$currentTimestamp';";
//echo "Debug: Timestamp query: $TimestampQuery\n";

if (!$conn->query($TimestampQuery)) {
    die("Timestamp update error: " . $conn->error);
}

echo "success";
}

$conn->close();
?>
