<?php
    $config = parse_ini_file('config.ini', true);

    $servername = $config['database']['db_host'];
    $DbUsername = $config['database']['db_user'];
    $DbPassword = $config['database']['db_password'];
    $dbname = $config['database']['db_name'];
    
    // Create connection to db
    $conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);
    
    // Check connection
    if ($conn->connect_error) {
        $errorMessage = "Connection failed: can't connect to db \n";
        error_log($errorMessage, 3, "errors.txt");
        die("1"); // 1= connection failed
    }
    
    $UserEmail = $_POST['email'];
    $UserPassword = password_hash($_POST["password"], PASSWORD_BCRYPT);
    echo "Debug: Hashed Password: " . htmlspecialchars($UserPassword) . "\n"; // Debug message
    $Username = $_POST['username'];
    
    $RegisterUserQuery = "INSERT INTO `users` (`email`, `username`, `password`, `balance`, `savelogin`) VALUES ('" . $conn->real_escape_string($UserEmail) . "', '" . $conn->real_escape_string($Username) . "', '" . $conn->real_escape_string($UserPassword) . "', '0', 'false');";

    try {
        $RegisterUserResult = $conn->query($RegisterUserQuery);
        if ($RegisterUserResult === false) {
            $errorMessage = "Connection failed: couldn't insert user into db \n";
            error_log($errorMessage, 3, "errors.txt");
            die("22"); // query failed
        }
    } catch (Exception $e) {
        $errorMessage = "Connection failed: couldn't insert user into db \n";
        error_log($errorMessage, 3, "errors.txt");
        die("30"); // query failed
    }
    
    echo("success");
    $conn->close();
?>
