<?php

	// Database connection details (replace with your actual credentials)
	$config = parse_ini_file('config.ini', true);

	$servername = $config['database']['db_host'];
	$DbUsername = $config['database']['db_user'];
	$DbPassword = $config['database']['db_password'];
	$dbname = $config['database']['db_name'];
	
	$timeout = 10;
	
	$loop_finished = false;
	
	$winning_number = random_int(0, 36);
	$wnumber_timestamp = time();


	$clientsynced_txt = "False";
	
	

	// Open the file for writing (overwrite existing content)
	$file = fopen("clientscynced.txt", "w") or die("Error opening clientscynced.txt");

	// Write the value to the file
	fwrite($file, $clientsynced_txt);

	// Close the file
	fclose($file);

	echo "clientscynced.txt is updated.\n";
	
	//set trigger for animation 1 to play on clients while waiting for client sync
	
	// Open the file for writing (overwrite existing content)
	$file2 = fopen("rl_animtrigger.txt", "w") or die("Error opening rl_animtrigger.txt");

	// Write the value to the file
	fwrite($file2, "1");

	// Close the file
	fclose($file2);


	// Connect to the database
	$conn = mysqli_connect($servername, $username, $password, $dbname);
	$conn2 = mysqli_connect($servername, $username, $password, $dbname);
	$conn3 = mysqli_connect($servername, $username, $password, $dbname);
	$conn4 = mysqli_connect($servername, $username, $password, $dbname);
	$conn5 = mysqli_connect($servername, $username, $password, $dbname);
	// Check connection
	if (!$conn) {
	  die("Connection failed: " . mysqli_connect_error());
	}

	// Array to store retrieved usernames
	$retrieved_users = [];

	// SQL query to retrieve usernames
	$sql = "SELECT username FROM bets_inplay";

	// Execute the query
	$result = mysqli_query($conn, $sql);

	// Check for query errors
	if (!$result) {
	  die("Error retrieving usernames: " . mysqli_error($conn));
	}

	// Fetch usernames from the result set
	while ($row = mysqli_fetch_assoc($result)) {
	  $retrieved_users[] = $row['username'];
	}

	// Free the memory used by the result set
	mysqli_free_result($result);

	// Close the database connection (optional, can be closed later)
	mysqli_close($conn);

	// Print retrieved usernames (for verification)
	//echo "Retrieved usernames:\n";
	//print_r($retrieved_users);
	
	// Start time for timeout calculation
	$start_time = time();

	// Loop with timeout condition
	while (true) 
	{
		$elapsed_time = time() - $start_time;

		// Check if timeout has been reached
		if ($elapsed_time >= $timeout || $loop_finished==true) 
		{
			break; // Exit loop if timeout reached
		}

		// Code you want to execute within the loop (e.g., additional processing)
		// ... your code here ...

		// Optional: Sleep for a shorter duration within the loop
		// sleep(1); // Uncomment if you want to slow down the loop execution

		// Print elapsed time for debugging (optional)
		
		//!!this is where live update logic happens!!
		
		
		/////////////////////
		
		$sql_getlockedin = "SELECT username FROM bets_inplay WHERE lockedin = 'False'";
		$result_getlockedin = mysqli_query($conn2, $sql_getlockedin);

		// Check for query errors (optional, can be removed)
		if (!$result_getlockedin) {
		die("Error checking lockedin users: " . mysqli_error($conn2));
		}
		
		$num_rows = mysqli_num_rows($result_getlockedin);

		// Check if any rows returned (users with "lockedin" set to "False")
		$has_false_lockedin_users = mysqli_num_rows($result_getlockedin) === 0;

		// Free the memory used by the result set
		mysqli_free_result($result_getlockedin);

		// Loop condition (assuming the loop is already defined)
		if ($num_rows === 0)
		{
			$loop_finished = true;
			echo "All users have 'lockedin' set to True.\n";
		} 
		else 
		{
			echo "There are $num_rows users with 'lockedin' set to False.\n";
			// You can also process these users here
		}
		
		
		///////////////////////
		
		echo "Elapsed time: $elapsed_time seconds\n";
	}
	
	//code that runs after all clients have been synced/invalid bets dropped
	
	//query db again and output arrays $usernames_lockedin[] and $usernames_tweaking[]
	
	$sql_lockedin = "SELECT username FROM bets_inplay WHERE lockedin = 'True'";
	$sql_tweaking = "SELECT username FROM bets_inplay WHERE lockedin = 'False'";
	$sql_delete_rejected = "DELETE FROM bets_inplay WHERE lockedin = 'False';";
	$sql_broadcast_wnumber = "INSERT INTO `numberhistory` (`number`, `timestamp`) VALUES ('$winning_number', '$wnumber_timestamp');";

	

	$usernames_lockedin = array();
	$usernames_tweaking = array();

	$result_lockedin = mysqli_query($conn3, $sql_lockedin);
	$result_tweaking = mysqli_query($conn3, $sql_tweaking);

	// Check for query errors (optional)
	if (!$result_lockedin || !$result_tweaking) {
	  die("Error fetching usernames: " . mysqli_error($conn3));
	}

	// Populate usernames_lockedin
	while ($row = mysqli_fetch_assoc($result_lockedin)) {
	  $usernames_lockedin[] = $row['username'];
	}

	// Populate usernames_tweaking
	while ($row = mysqli_fetch_assoc($result_tweaking)) {
	  $usernames_tweaking[] = $row['username'];
	}

	// Free the memory used by the result sets
	mysqli_free_result($result_lockedin);
	mysqli_free_result($result_tweaking);


	// Example usage (assuming $elapsed_time is set elsewhere)
	echo "Loop execution stopped after $elapsed_time seconds.\n";
	echo "Users with 'lockedin' set to True: " . count($usernames_lockedin) . "\n";
	echo "Users with 'lockedin' set to False: " . count($usernames_tweaking) . "\n";
	
	$clientsynced_txt = "True";

	// Open the file for writing (overwrite existing content)
	$file = fopen("clientscynced.txt", "w") or die("Error opening clientscynced.txt");

	// Write the value to the file
	fwrite($file, $clientsynced_txt);

	// Close the file
	fclose($file);

	echo "clientscynced.txt is updated.\n";
	
	if (mysqli_query($conn4, $sql_delete_rejected)) 
	{
		if (mysqli_query($conn5, $sql_broadcast_wnumber)) {
		  echo "Rejected bets successfully removed from database.\n";
		} else {
		  echo "Error deleting rejected bets: " . mysqli_error($conn5) . "\n";
		}
	  echo "Rejected bets successfully removed from database.\n";
	} else {
	  echo "Error deleting rejected bets: " . mysqli_error($conn5) . "\n";
	}
	
	// set animation trigger to be 2 to show winning number
	$file = fopen("rl_animtrigger.txt", "w") or die("Error opening rl_animtrigger.txt");

	// Write the value to the file
	fwrite($file, "2");

	// Close the file
	fclose($file);

	echo "rl_animtrigger.txt is updated.\n";
	
	


?>
