<?php

$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

$mysqli = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

$lobby_id = isset($_GET['lobbyid']) ? $_GET['lobbyid'] : die("lobbyid not provided");

// Log connection attempt
echo "** Attempting connection to database... **\n";

if ($mysqli->connect_error) {
  die("Connection failed: " . $mysqli->connect_error);
} else {
  echo "** Connection established successfully. **\n";
}

$sql = "SELECT * FROM `animationsync` WHERE `anim1synced`='false' AND `lobbyid`='$lobby_id'";

// Log query execution
echo "** Executing query: $sql **\n";

$result = $mysqli->query($sql);

if ($mysqli->error) {
  die("Query error: " . $mysqli->error);
} else {
  echo "** Query executed successfully. **\n";
}

$success = $result->num_rows === 0; // No rows means all synced

$filename = "global_anim1synced.txt";

$content = $success ? "true" : "false";

// Log file opening attempt
echo "** Attempting to open file: $filename for writing... **\n";

// Open file for writing with error handling
$file = fopen($filename, "w") or die("Unable to open file: " . $filename);

fwrite($file, $content);
fclose($file);

$mysqli->close();

// Log connection closed
echo "** Connection to database closed. **\n";

// Script execution continues here, no need to return anything
?>
