<?php
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Capture POST parameters
$Username = $_POST['username'];

// Prepare and execute SQL query to get user balance
$sql = "SELECT balance FROM users WHERE username = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("s", $Username);
$stmt->execute();
$stmt->bind_result($balance);

if ($stmt->fetch()) {
    echo $balance; // Return the balance
} else {
    echo "Error: User not found"; // User not found or some error occurred
}

$stmt->close();
$conn->close();
?>
