<?php
$config = parse_ini_file('config.ini', true);

$servername = $config['database']['db_host'];
$DbUsername = $config['database']['db_user'];
$DbPassword = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($servername, $DbUsername, $DbPassword, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$lobbyId = $_GET['lobbyId'];

// Prepare and execute query
$stmt = $conn->prepare("SELECT skin FROM lobbies WHERE id = ?");
$stmt->bind_param("s", $lobbyId);
$stmt->execute();
$stmt->bind_result($skin);
$stmt->fetch();

echo $skin;

$stmt->close();
$conn->close();
?>
