<?php

// Get the lobbyid from the URL
$lobbyId = $_GET['lobbyid'] ?? null;

if ($lobbyId) {
    // Construct the file path
    $filePath = "{$lobbyId}/rl_animtrigger.txt";

    // Check if the file exists
    if (file_exists($filePath)) {
        // Read the file content
        $fileContent = trim(file_get_contents($filePath));
        // Return the content
        echo $fileContent;
    } else {
        // File doesn't exist, return an error message
        http_response_code(404);
        echo "Error: File not found.";
    }
} else {
    // No lobbyid provided, return an error message
    http_response_code(400);
    echo "Error: Lobby ID is required.";
}

?>
