<?php
// Database configuration

$config = parse_ini_file('config.ini', true);

$host = $config['database']['db_host'];
$user = $config['database']['db_user'];
$pass = $config['database']['db_password'];
$dbname = $config['database']['db_name'];

// Create connection
$conn = new mysqli($host, $user, $pass, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get POST data
$username = isset($_POST['username']) ? $conn->real_escape_string($_POST['username']) : '';

// Validate input
if (empty($username)) {
    echo json_encode(['success' => false, 'message' => 'Invalid input']);
    exit;
}

// Remove online status
$sql = "DELETE FROM online_users WHERE username = '$username'";
$conn->query($sql);

// Return plain string response
if ($conn->affected_rows > 0) {
    echo "success";
} else {
    echo "failure"; // Or another appropriate message
}

// Close connection
$conn->close();
?>
